> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# List

GET https://restapi.ordergroove.com/entitlements/

List entitlements associated to merchant's customers. Only relevant for merchants offering digital products.

Accepts [Application API Scope](/api-reference/authentication#application-api-scope) or [Storefront API Scope](/api-reference/authentication#storefront-api-scope) authentication.

Reference: https://developer.ordergroove.com/reference/entitlements-service-api/entitlements/list

## Request

### Query parameters

- `merchant` (string, required) — Merchant ID
- `merchant_user_id` (string, optional) — Customer ID. If the request is made on behalf of a customer, only the entitlements tied to the calling customer are returned, regardless of the value provided in this field
- `resource_public_id` (string, optional) — Filters entitlements by a single resource public ID.
- `resource_public_ids` (string, optional) — Filters entitlements to those associated with the specified resource public IDs. Provide a comma-separated list of resource public IDs. Cannot be used together with `resource_public_id`.
- `external_resource_id` (string, optional) — Merchant resource ID
- `live` (boolean, optional) — Filters entitlements by whether their associated resources are accessible
- `resource_name` (string, optional) — Filters entitlements by resource name (case-insensitive match).
- `grantee_external_ids_exact` (string, optional) — Filter entitlements by list of exact ids (returns entitlement if and only if every grantee passed in is present in the entitlement and no other grantees are present) example: grantee_external_ids_exact=grantee_a,grantee_b returns entitlements with both grantee_a and grantee_b, but not entitlements with just grantee_a or entitlements that have grantee_a, grantee_b, but also grantee_c

## Response

### 200

200

- `next` (string, required, nullable) — URL to get the next page of results. `null` if there are no more pages.
- `previous` (string, required, nullable) — URL to get the previous page of results. `null` if there are no previous pages.
- `results` (list of Entitlement, required) — *Note:* This endpoint returns up to 100 entitlements per request by default, which differs from other endpoints in this API.

## Errors

### 403 Forbidden Error

403

- `detail` (string, optional)

## Types

### Entitlement

An entitlement granting a customer access to a resource.

- `merchant` (string, required) — Merchant ID.
- `public_id` (string, required) — Entitlement ID.
- `merchant_user_id` (string, required) — Customer ID.
- `initial_activation_date` (string, required, nullable) — Initial activation date (UTC).
- `latest_activation_date` (string, required, nullable) — Latest activation date (UTC).
- `grace_period` (integer, required, nullable) — Grace period, in seconds.
- `live` (boolean, required) — Whether the resource this entitlement grants access to is currently accessible. Accounts for `grace_period`.
- `access_type` (string, required) — The entitlement's access type.
- `expiration` (string, required, nullable) — Entitlement access expiration date (UTC).
- `created` (string, required) — Date the entitlement was created (UTC).
- `last_updated` (string, required) — Date the entitlement was last updated (UTC).
- `grantees` (list of Grantee, required, nullable) — Grantees associated with the entitlement. `null` if there are none.
- `resource` (Resource, optional) — The resource this entitlement grants access to.

### Grantee

- `external_id` (string, required) — The grantee's external ID.
- `name` (string, required) — The grantee's name.
- `created` (string, required) — Date the grantee was created (UTC).
- `updated` (string, required) — Date the grantee was last updated (UTC).

### Resource

- `public_id` (string, required) — Resource ID.
- `merchant` (string, required) — Merchant ID.
- `name` (string, required) — Resource name.
- `external_resource_id` (string, required, nullable) — Merchant resource ID.
- `identified_product_external_id` (string, required, nullable) — External ID of the Ordergroove product this resource is linked to for subscription renewal syncing. Present only when the resource is tied to a meta-entitlement; `null` otherwise.
- `description` (string, required, nullable) — Resource description.
- `image_url` (string, required, nullable) — Resource image URL.
- `created` (string, required) — Date the resource was created (UTC).
- `last_updated` (string, required) — Date the resource was last updated (UTC).

## Examples

**Response**

```json
{
  "next": "https://restapi.ordergroove.com/entitlements/?cursor=cD0yMDI0LTA0LTEwKz",
  "previous": null,
  "results": [
    {
      "merchant": "339536244b7c11eb8d37ee71e0f3a639",
      "public_id": "4c6dceaa1ddc4361962f9f6b11c0af7a",
      "merchant_user_id": "test_user_id",
      "initial_activation_date": "2024-08-12T20:35:19.04Z",
      "latest_activation_date": "2024-08-12T20:35:19.04Z",
      "grace_period": null,
      "live": false,
      "access_type": "time_based",
      "expiration": "2024-09-12T20:35:19.04Z",
      "created": "2024-08-12T20:35:19.04Z",
      "last_updated": "2024-08-12T20:35:19.04Z",
      "grantees": [
        {
          "external_id": "grantee-001",
          "name": "Grantee Name",
          "created": "2020-12-31 23:28:48",
          "updated": "2020-12-31 23:28:48"
        }
      ],
      "resource": {
        "public_id": "ecb42bee71ff11efb72ef29e3ec3bb34",
        "merchant": "339536244b7c11eb8d37ee71e0f3a639",
        "name": "Piano lesson",
        "external_resource_id": "123456",
        "identified_product_external_id": null,
        "description": null,
        "image_url": "http://some.image.com",
        "created": "2020-12-31 23:28:48",
        "last_updated": "2020-12-31 23:28:48"
      }
    }
  ]
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/entitlements/"

querystring = {"merchant":"merchant"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/entitlements/?merchant=merchant';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/entitlements/?merchant=merchant"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/entitlements/?merchant=merchant")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/entitlements/?merchant=merchant")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/entitlements/?merchant=merchant');

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/entitlements/?merchant=merchant");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/entitlements/?merchant=merchant")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```